Bug 757050 - hdf5-static does not provide mpi support...
Summary: hdf5-static does not provide mpi support...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hdf5
Version: 16
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-25 11:04 UTC by eyurtese
Modified: 2011-12-17 20:53 UTC (History)
3 users (show)

Fixed In Version: hdf5-1.8.7-3.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-17 20:53:56 UTC
Type: ---


Attachments (Terms of Use)

Description eyurtese 2011-11-25 11:04:26 UTC
HDF5 packages seem to be not very useful...

The hdf5 does not seem to have mpi support with static libraries.

hdf5-mpich2 package installs dynamic libraries with mpi support, however this lacks the static libraries.

Fedora needs to supply hdf5-mpich2-static or include mpi support in hdf5-static.

in Ubuntu, the static libraries arrive when the libhdf5-mpich-dev package is installed by default.

It does not make much sense to not have MPI support in HDF5 since in my opinion many people who use HDF5 use it in programs which also use MPI.


$ nm /usr/lib64/libhdf5_fortran.a |grep mpi
0000000000000010 T __h5t_MOD_h5tcompiler_conv_f
                 U h5tcompiler_conv_c_
                 U H5Tcompiler_conv
0000000000001a9c T h5tcompiler_conv_c_


$ objdump -T /usr/lib64/mpich2/lib/libhdf5_fortran.so |grep mpi
/usr/lib64/mpich2/lib/libhdf5_fortran.so:     file format elf64-x86-64
0000000000000000      DF *UND*  0000000000000000              H5Tcompiler_conv
0000000000000000      DF *UND*  0000000000000000              H5Pset_dxpl_mpio
0000000000000000      DF *UND*  0000000000000000              H5FD_mpio_init
0000000000000000      DF *UND*  0000000000000000              H5Pget_fapl_mpiposix
0000000000000000      DF *UND*  0000000000000000              H5Pset_fapl_mpio
0000000000000000      DF *UND*  0000000000000000              H5Pget_fapl_mpio
0000000000000000      DF *UND*  0000000000000000              H5Pget_dxpl_mpio
0000000000000000      DF *UND*  0000000000000000              H5Pset_fapl_mpiposix
00000000000341a0 g    DF .text  000000000000003e  Base        __h5fdmpio_MOD_h5pget_fapl_mpiposix_f
0000000000034250 g    DF .text  000000000000000f  Base        __h5fdmpio_MOD_h5pset_fapl_mpio_f
0000000000033f08 g    DF .text  0000000000000073  Base        h5pset_fapl_mpio_c_
0000000000034122 g    DF .text  0000000000000078  Base        h5pget_fapl_mpiposix_c_
0000000000034220 g    DF .text  000000000000000f  Base        __h5fdmpio_MOD_h5pget_dxpl_mpio_f
0000000000034240 g    DF .text  000000000000000f  Base        __h5fdmpio_MOD_h5pget_fapl_mpio_f
0000000000034230 g    DF .text  000000000000000f  Base        __h5fdmpio_MOD_h5pset_dxpl_mpio_f
0000000000033ff1 g    DF .text  000000000000005d  Base        h5pset_dxpl_mpio_c_
00000000000341e0 g    DF .text  0000000000000032  Base        __h5fdmpio_MOD_h5pset_fapl_mpiposix_f
00000000000340af g    DF .text  0000000000000073  Base        h5pset_fapl_mpiposix_c_
000000000003404e g    DF .text  0000000000000061  Base        h5pget_dxpl_mpio_c_
00000000000218b0 g    DF .text  000000000000003d  Base        __h5t_MOD_h5tcompiler_conv_f
0000000000033f7b g    DF .text  0000000000000076  Base        h5pget_fapl_mpio_c_
0000000000033d34 g    DF .text  000000000000005f  Base        h5tcompiler_conv_c_

Comment 1 Fedora Update System 2011-11-26 01:51:05 UTC
hdf5-1.8.7-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/hdf5-1.8.7-3.fc16

Comment 2 Orion Poplawski 2011-11-26 02:04:36 UTC
While I hardly think it is necessary to use static libraries for mpi (simply make sure you have loaded the proper environment module), this update should provide them.

Comment 3 Fedora Update System 2011-11-26 23:00:50 UTC
Package hdf5-1.8.7-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hdf5-1.8.7-3.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16450/hdf5-1.8.7-3.fc16
then log in and leave karma (feedback).

Comment 4 eyurtese 2011-11-28 12:00:05 UTC
It might be required on clusters where the files/libraries are not shared on all nodes or if you are using your program on a remote system which does not have same version of hdf5 installed.

Also, I actually couldnt manage to build shared libraries with HDF5 at all and actually it defaults to using static libraries and shared libraries are not supported on all platforms.
http://www.hdfgroup.org/hdf5-quest.html#fshare

In either case, these are important stuff :)

Comment 5 Fedora Update System 2011-12-17 20:53:56 UTC
hdf5-1.8.7-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.